SystemOrganization addCategory: #ConfigurationOfManifestoBrowser!

Object subclass: #ConfigurationOfManifestoBrowser
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfManifestoBrowser'!

!ConfigurationOfManifestoBrowser commentStamp: 'AndreHora 10/14/2011 10:44' prior: 0!
(Smalltalk at: #ConfigurationOfManifestoBrowser) perform: #loadDevelopment!

!ConfigurationOfManifestoBrowser class methodsFor: 'development support' stamp: 'AngelNunez 10/3/2011 10:25'!
DevelopmentSupport

"See the methods in the 'development support' category on the class-side of MetacelloBaseConfiguration. Decide what development support methods you would like to use and copy them the the class-side of your configuration."
	<apiDocumentation>
! !

!ConfigurationOfManifestoBrowser class methodsFor: 'private' stamp: 'AngelNunez 10/3/2011 10:25'!
baseConfigurationClassIfAbsent: aBlock

	^Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			self ensureMetacelloBaseConfiguration.
			Smalltalk at: #MetacelloBaseConfiguration ifAbsent: aBlock ].
! !

!ConfigurationOfManifestoBrowser class methodsFor: 'private' stamp: 'AngelNunez 10/3/2011 10:25'!
ensureMetacello

	(self baseConfigurationClassIfAbsent: []) ensureMetacello! !

!ConfigurationOfManifestoBrowser class methodsFor: 'private' stamp: 'AngelNunez 10/3/2011 10:25'!
ensureMetacelloBaseConfiguration

	Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			| repository version |
			repository := MCHttpRepository location: 'http://seaside.gemstone.com/ss/metacello' user: '' password: ''.
			repository
				versionReaderForFileNamed: 'Metacello-Base-DaleHenrichs.2.mcz'
				do: [ :reader | 
					version := reader version.
					version load.
					version workingCopy repositoryGroup addRepository: repository ] ]! !

!ConfigurationOfManifestoBrowser class methodsFor: 'metacello tool support' stamp: 'AngelNunez 10/3/2011 10:25'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfManifestoBrowser class methodsFor: 'loading' stamp: 'AngelNunez 10/3/2011 10:25'!
load
	"Load the #stable version defined for this platform. The #stable version is the version that is recommended to be used on this platform."

	"self load"

	<apiDocumentation>
	^(self project version: #stable) load! !

!ConfigurationOfManifestoBrowser class methodsFor: 'loading' stamp: 'AngelNunez 10/3/2011 10:25'!
loadBleedingEdge
	"Load the latest versions of the mcz files defined for this project. It is not likely that the #bleedingEdge has been tested."

	"self loadBleedingEdge"

	<apiDocumentation>
	^(self project version: #bleedingEdge) load! !

!ConfigurationOfManifestoBrowser class methodsFor: 'loading' stamp: 'AngelNunez 10/3/2011 10:25'!
loadDevelopment
	"Load the #development version defined for this platform. The #development version will change over time and is not expected to be stable."

	"self loadDevelopment"

	<apiDocumentation>
	^(self project version: #development) load! !

!ConfigurationOfManifestoBrowser class methodsFor: 'accessing' stamp: 'AngelNunez 10/3/2011 10:25'!
project

	^self new project! !

!ConfigurationOfManifestoBrowser class methodsFor: 'development support' stamp: 'AngelNunez 10/3/2011 10:25'!
validate
	"Check the configuration for Errors, Critical Warnings, and Warnings (see class comment for MetacelloMCVersionValidator for more information). 
	Errors identify specification issues that will result in unexpected behaviour when you load the configuration. 
	Critical Warnings identify specification issues that may result in unexpected behavior when you load the configuration.
	Warnings identify specification issues that are technically correct, but are worth take a look at."

	"self validate"

	<apiDocumentation>
	self ensureMetacello.
	^ ((Smalltalk at: #MetacelloToolBox) validateConfiguration: self debug: #() recurse: false) explore! !

!ConfigurationOfManifestoBrowser methodsFor: 'baselines' stamp: 'AngelNunez 10/3/2011 10:25'!
baseline10: spec
	<version: '1.0-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec repository: 'http://ss3.gemstone.com/ss/ManifestoBrowser'.
		spec package: 'ManifestoBrowser'.
		spec group: 'default' with: #('ManifestoBrowser' ). ].
! !

!ConfigurationOfManifestoBrowser methodsFor: 'baselines' stamp: 'AngelNunez 10/5/2011 14:14'!
baseline11: spec
	<version: '1.1-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec repository: 'http://ss3.gemstone.com/ss/ManifestoBrowser'.
		spec package: 'ManifestoBrowser'.
		
		spec
			project: 'Glamour'
			with: [ 
				spec
					className: 'ConfigurationOfGlamour';
					loads: #('Core');
					version: 'default';
					repository: 'http://www.squeaksource.com/Glamour' ].

		spec group: 'default' with: #('ManifestoBrowser' ). ].
! !

!ConfigurationOfManifestoBrowser methodsFor: 'symbolic versions' stamp: 'AlexandreBergel 11/4/2011 16:15'!
development: spec
	<symbolicVersion: #'development'>

	spec for: #'common' version: '1.17'.
! !

!ConfigurationOfManifestoBrowser methodsFor: 'accessing' stamp: 'AngelNunez 10/3/2011 10:25'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		(self class baseConfigurationClassIfAbsent: []) ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project loadType: #linear. "change to #atomic if desired"
		project ]! !

!ConfigurationOfManifestoBrowser methodsFor: 'versions' stamp: 'AngelNunez 10/3/2011 10:26'!
version10: spec
	<version: '1.0' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '1.0 : Added some rules nodes'.
		spec author: 'AngelNunez'.
		spec timestamp: '10/3/2011 10:26'.
		spec package: 'ManifestoBrowser' with: 'ManifestoBrowser-AngelNunez.2'. ].
! !

!ConfigurationOfManifestoBrowser methodsFor: 'versions' stamp: 'AN 10/10/2011 12:46'!
version110: spec
	<version: '1.10' imports: #('1.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '1.9 : "General improvements"
1.10 : Small bug fixed'.
		spec author: 'AN'.
		spec timestamp: '10/10/2011 12:46'.
		spec project: 'Glamour' with: '2.1'.
		spec package: 'ManifestoBrowser' with: 'ManifestoBrowser-AN.11'. ].
! !

!ConfigurationOfManifestoBrowser methodsFor: 'versions' stamp: 'AngelNunez 10/11/2011 00:08'!
version111: spec
	<version: '1.11' imports: #('1.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '1.11 :
1.11 : Small improvements'.
		spec author: 'AngelNunez'.
		spec timestamp: '10/11/2011 00:08'.
		spec project: 'Glamour' with: '2.1'.
		spec package: 'ManifestoBrowser' with: 'ManifestoBrowser-AngelNunez.13'. ].
! !

!ConfigurationOfManifestoBrowser methodsFor: 'versions' stamp: 'AlexandreBergel 10/14/2011 10:38'!
version112: spec
	<version: '1.12' imports: #('1.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '1.11 : Small improvements
1.12 : Fixed the code to make the rules happy. Currently, two tests are red'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '10/14/2011 10:38'.
		spec project: 'Glamour' with: '2.1'.
		spec package: 'ManifestoBrowser' with: 'ManifestoBrowser-AlexandreBergel.14'. ].
! !

!ConfigurationOfManifestoBrowser methodsFor: 'versions' stamp: 'AngelNunez 10/20/2011 09:24'!
version113: spec
	<version: '1.13' imports: #('1.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '1.12 : Fixed the code to make the rules happy. Currently, two tests are red
1.13 :'.
		spec author: 'AngelNunez'.
		spec timestamp: '10/20/2011 09:24'.
		spec project: 'Glamour' with: '2.1'.
		spec package: 'ManifestoBrowser' with: 'ManifestoBrowser-AngelNunez.15'. ].
! !

!ConfigurationOfManifestoBrowser methodsFor: 'versions' stamp: 'AngelNunez 10/21/2011 10:19'!
version114: spec
	<version: '1.14' imports: #('1.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '1.13 :
Now it saves the tree as soon as you modify it.'.
		spec author: 'AngelNunez'.
		spec timestamp: '10/21/2011 10:19'.
		spec project: 'Glamour' with: '2.1'.
		spec package: 'ManifestoBrowser' with: 'ManifestoBrowser-AngelNunez.16'. ].
! !

!ConfigurationOfManifestoBrowser methodsFor: 'versions' stamp: 'AlexandreBergel 11/4/2011 16:12'!
version115: spec
	<version: '1.15' imports: #('1.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: 'Now it saves the tree as soon as you modify it.
1.15 : We should now be independant of RPackage.'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '11/4/2011 16:12'.
		spec project: 'Glamour' with: '2.1'.
		spec package: 'ManifestoBrowser' with: 'ManifestoBrowser-AlexandreBergel.17'. ].
! !

!ConfigurationOfManifestoBrowser methodsFor: 'versions' stamp: 'AlexandreBergel 11/4/2011 16:15'!
version116: spec
	<version: '1.16' imports: #('1.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '1.15 : We should now be independant of RPackage.
1.16 : Now works with PackageInfo'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '11/4/2011 16:15'.
		spec project: 'Glamour' with: '2.1'.
		spec package: 'ManifestoBrowser' with: 'ManifestoBrowser-AlexandreBergel.18'. ].
! !

!ConfigurationOfManifestoBrowser methodsFor: 'versions' stamp: 'AlexandreBergel 11/4/2011 16:38'!
version117: spec
	<version: '1.17' imports: #('1.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '1.16 : Now works with PackageInfo
1.17 : added new tests. Improved a bit the UI. Fixed bugs'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '11/4/2011 16:38'.
		spec project: 'Glamour' with: '2.1'.
		spec package: 'ManifestoBrowser' with: 'ManifestoBrowser-AlexandreBergel.19'. ].
! !

!ConfigurationOfManifestoBrowser methodsFor: 'versions' stamp: 'AngelNunez 10/5/2011 14:02'!
version11: spec
	<version: '1.1' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '1.0 : Added some rules nodes
1.1 : Improvement of ManifestoBrowser + Lint Browser'.
		spec author: 'AngelNunez'.
		spec timestamp: '10/5/2011 14:02'.
		spec package: 'ManifestoBrowser' with: 'ManifestoBrowser-AngelNunez.3'. ].
! !

!ConfigurationOfManifestoBrowser methodsFor: 'versions' stamp: 'AngelNunez 10/5/2011 14:13'!
version12: spec
	<version: '1.2' imports: #('1.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '1.1 :'.
		spec author: 'AngelNunez'.
		spec timestamp: '10/3/2011 12:05'.
		spec project: 'Glamour' with: 'default'.
		spec package: 'ManifestoBrowser' with: 'ManifestoBrowser-AngelNunez.2'. ].
! !

!ConfigurationOfManifestoBrowser methodsFor: 'versions' stamp: 'AngelNunez 10/5/2011 14:59'!
version13: spec
	<version: '1.3' imports: #('1.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '1.1 : Improvements of Manifesto Browser + Lint Browser
1.3 : Adding Manifesto Browser in the World Menu'.
		spec author: 'AngelNunez'.
		spec timestamp: '10/5/2011 14:59'.
		spec project: 'Glamour' with: '2.1'.
		spec package: 'ManifestoBrowser' with: 'ManifestoBrowser-AngelNunez.4'. ].
! !

!ConfigurationOfManifestoBrowser methodsFor: 'versions' stamp: 'AngelNunez 10/5/2011 15:59'!
version14: spec
	<version: '1.4' imports: #('1.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '1.3 : Adding Manifesto Browser in the World Menu
1.4 : Adding Manifesto Browser in the Tool Word Menu. Improving the view of rules results'.
		spec author: 'AngelNunez'.
		spec timestamp: '10/5/2011 15:59'.
		spec project: 'Glamour' with: '2.1'.
		spec package: 'ManifestoBrowser' with: 'ManifestoBrowser-AngelNunez.5'. ].
! !

!ConfigurationOfManifestoBrowser methodsFor: 'versions' stamp: 'AngelNunez 10/6/2011 15:12'!
version15: spec
	<version: '1.5' imports: #('1.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '1.4 : Adding Manifesto Browser in the Tool Word Menu. Improving the view of rules results
1.5 : Now it saves the descriptions of packages and the Lint rule trees of packages. If a package does not have a manifesto it creates one.'.
		spec author: 'AngelNunez'.
		spec timestamp: '10/6/2011 15:12'.
		spec project: 'Glamour' with: '2.1'.
		spec package: 'ManifestoBrowser' with: 'ManifestoBrowser-AngelNunez.6'. ].
! !

!ConfigurationOfManifestoBrowser methodsFor: 'versions' stamp: 'AngelNunez 10/6/2011 15:38'!
version16: spec
	<version: '1.6' imports: #('1.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '1.5 : Now it saves the descriptions of packages and the Lint rule trees of packages. If a package does not have a manifesto it creates one.
1.6 : Minor Improvements'.
		spec author: 'AngelNunez'.
		spec timestamp: '10/6/2011 15:38'.
		spec project: 'Glamour' with: '2.1'.
		spec package: 'ManifestoBrowser' with: 'ManifestoBrowser-AngelNunez.7'. ].
! !

!ConfigurationOfManifestoBrowser methodsFor: 'versions' stamp: 'AngelNunez 10/6/2011 15:47'!
version17: spec
	<version: '1.7' imports: #('1.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '1.6 : Minor Improvements
1.7 : A test'.
		spec author: 'AngelNunez'.
		spec timestamp: '10/6/2011 15:47'.
		spec project: 'Glamour' with: '2.1'.
		spec package: 'ManifestoBrowser' with: 'ManifestoBrowser-AngelNunez.8'. ].
! !

!ConfigurationOfManifestoBrowser methodsFor: 'versions' stamp: 'AngelNunez 10/7/2011 10:12'!
version18: spec
	<version: '1.8' imports: #('1.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '1.7 : A test
1.8 : Fixing the fact of storing the description and the tree of rules'.
		spec author: 'AngelNunez'.
		spec timestamp: '10/7/2011 10:12'.
		spec project: 'Glamour' with: '2.1'.
		spec package: 'ManifestoBrowser' with: 'ManifestoBrowser-AngelNunez.9'. ].
! !

!ConfigurationOfManifestoBrowser methodsFor: 'versions' stamp: 'AngelNunez 10/10/2011 10:46'!
version19: spec
	<version: '1.9' imports: #('1.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '1.8 : Fixing the fact of storing the description and the tree of rules
1.9 : "General improvements"'.
		spec author: 'AngelNunez'.
		spec timestamp: '10/10/2011 10:46'.
		spec project: 'Glamour' with: '2.1'.
		spec package: 'ManifestoBrowser' with: 'ManifestoBrowser-AngelNunez.10'. ].
! !
